<?php

namespace App\Domain\Scraping\Domain\Model\ValueObject;

class ChapterId
{
    public function __construct(private readonly string $value)
    {
        if (empty($value)) {
            throw new \InvalidArgumentException('Chapter ID cannot be empty');
        }
    }

    public function getValue(): string
    {
        return $this->value;
    }
}
